Core - Bug # 54729

Status: Resolved Priority: Should have
Author: Ingo Schmitt Category: Performance
Created: 2014-01-03 Assigned To: Ingo Schmitt
Updated: 2014-01-14 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subiject: Improve SQL Performance on non cached pages

Description

When a page is rendered, for each image a call against sys_file_processedfile is made. Analysing this in mysql slow log, the output is
clear:

Count: 66 Time=0.00s (0s) Lock=0.00s (0s) Rows=1.0 (66), root[root]j@localhost
SELECT * FROM sys_file_processedfile WHERE original=N AND task_type='S' AND configurationsha1='S' LIMIT N

Solution should be to add the needed fields to an index.

Associated revisions

Revision €7195¢cf7 - 2014-01-14 13:34 - Ingo Schmitt

[BUGFIX] Add SQL Index to Processed Files DB table

Added index to original,task_type,configurationsha1
this improves performance for non-cached pages and
backend calls

Resolves: #54729

Releases: 6.2

Change-Id: 12ecfe62c64b89078da5c04ee708ea3c343d4fc9a
Reviewed-on: https://review.typo3.org/26628

Reviewed-by: Oliver Klee
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Benjamin Mack
Tested-by: Benjamin Mack

History

#1 - 2014-01-03 17:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26628
#2 - 2014-01-14 12:41 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26628

#3 - 2014-01-14 12:44 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/26628

#4 - 2014-01-14 14:30 - Ingo Schmitt
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e7195cf7cb700e11f4023af9c0987b395d31901a.
